# Class NTNumericCredential

java.lang.Object
com.sun.security.auth.NTNumericCredential

public class NTNumericCredential extends Object
This class abstracts an NT security token and provides a mechanism to do same-process security impersonation.

Since:
  1.4

## Constructor Summary

Constructors
Constructor
Description
`NTNumericCredential(long token)`
Create an `NTNumericCredential` with an integer value.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
Compares the specified Object with this `NTNumericCredential` for equality.
`long`
`getToken()`
Return an integer representation of this `NTNumericCredential`.
`int`
`hashCode()`
Return a hash code for this `NTNumericCredential`.
`String`
`toString()`
Return a string representation of this `NTNumericCredential`.

### Methods declared in class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### NTNumericCredential

public NTNumericCredential(long token)
Create an `NTNumericCredential` with an integer value.

Parameters:
  `token` - the Windows NT security token for this user.

## Method Details

### getToken

public long getToken()
Return an integer representation of this `NTNumericCredential`.

Returns:
  an integer representation of this `NTNumericCredential`.

### toString

public String toString()
Return a string representation of this `NTNumericCredential`.

Overrides:
  `toString` in class `Object`
Returns:
  a string representation of this `NTNumericCredential`.

### equals

public boolean equals(Object o)
Compares the specified Object with this `NTNumericCredential` for equality. Returns true if the given object is also a `NTNumericCredential` and the two NTNumericCredentials represent the same NT security token.

Overrides:
  `equals` in class `Object`
Parameters:
  `o` - Object to be compared for equality with this `NTNumericCredential`.
Returns:
  true if the specified Object is equal to this `NTNumericCredential`.
See Also:
  - `Object.hashCode()`
  - `HashMap`

### hashCode

public int hashCode()
Return a hash code for this `NTNumericCredential`.

Overrides:
  `hashCode` in class `Object`
Returns:
  a hash code for this `NTNumericCredential`.
See Also:
  - `Object.equals(java.lang.Object)`
  - `System.identityHashCode(Object)`